%define	xineversion 1.2.0

%define rel 	2

Name:		xine-ui
Summary:	A Free Video Player
Version:	0.99.14
Release:	%mkrel %rel
License:	GPLv2+
Group:		Video/Players
URL:		https://xine.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/xine/%name-%version.tar.xz
Source1:	xine.desktop
Patch0:		%name-0.99.10-mga-i18n-desktop.patch
Patch1:		fix-tvout-parenthesis.patch
Patch2:		fix-missed-strlcpy-on-arm.patch
Patch5:		fix-attr-inline-stringops-skin.patch
Patch7:		xine-ui-0.99.14-mga-fix-attr-inline-stringops-xitk.patch
#
# from deb
Patch11:	01-fix-lirc-pkg-config.patch
Patch17:	07-undefined-macro.patch
#
Patch20:	xine-ui-configure-c99.patch
Requires:	curl
BuildRequires:	aalib-devel
BuildRequires:	gettext
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxine) >= %xineversion
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(libjpeg)

%description
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video/Players

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video/Players

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%autosetup -p1

%build
./autogen.sh noconfig
export XINE_DOCPATH="%_datadir/doc/xine-ui"
%configure --enable-vdr-keys --with-caca --with-aalib --disable-nvtvsimple
%make_build

%install
%make_install transform=""

#language files
%find_lang xine-ui --all-name --with-man

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%files -f xine-ui.lang
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/apps/xine*
%_datadir/mime/packages/xine-ui.xml
%_mandir/man1/*

%files aa
%doc README
%_bindir/aaxine
%_bindir/cacaxine

%files fb
%doc README
%_bindir/fbxine


%changelog
* Mon Sep 23 2024 daviddavid <daviddavid> 0.99.14-2.mga10
+ Revision: 2100623
- disable nvtvsimple support

* Tue Apr 25 2023 kekepower <kekepower> 0.99.14-1.mga9.tainted
+ Revision: 1954898
- Update to version 0.99.14

* Mon Nov 07 2022 ghibo <ghibo> 0.99.13-6.mga9.tainted
+ Revision: 1904398
- Remove ATTR_INLINE_ALL_STRINGOPS xitk_lower_strlcpy (arm)
- Remove ATTR_INLINE_ALL_STRINGOPS from _skin_strdup (for arm).
- Fix size against overflow warnings (for arm).
- Remove attr-inline-all-stringops attribute for strlcpy prototype (for arm)
- Bump release
- Add Patch3 to fix attr inline stringops
- Add gettext to BRs
- Add missed xxf86vm to BRs
- Add patch to fix missed strlcpy prototype on arm
- Bump release
- Add more BuildRequires
- Update to release 0.99.13.
- Add patches from debian (patches 11-17).
- Add patch to fix building (patch1).

* Tue Apr 05 2022 umeabot <umeabot> 0.99.12-4.mga9.tainted
+ Revision: 1845472
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.99.12-3.mga8
+ Revision: 1542372
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.99.12-2.mga8.tainted
+ Revision: 1476027
- rebuild for readline

* Wed Dec 11 2019 daviddavid <daviddavid> 0.99.12-1.mga8.tainted
+ Revision: 1465874
- new version: 0.99.12

* Fri Oct 11 2019 daviddavid <daviddavid> 0.99.10-1.mga8.tainted
+ Revision: 1451493
- new version: 0.99.10
- rediff mga-i18n-desktop patch

* Thu Oct 04 2018 umeabot <umeabot> 0.99.9-6.mga7
+ Revision: 1317398
- Mageia 7 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.99.9-5.mga7.tainted
+ Revision: 1301912
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 0.99.9-4.mga7
+ Revision: 1189482
- rebuild for new readline

* Tue Feb 09 2016 umeabot <umeabot> 0.99.9-3.mga6
+ Revision: 951847
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 alexl <alexl> 0.99.9-2.mga5
+ Revision: 809241
- updated desktop file

* Sun Oct 26 2014 cjw <cjw> 0.99.9-1.mga5
+ Revision: 793561
- 0.99.9
- use xine-lib 1.2 (works with current ffmpeg, fixes mga #9578)

* Wed Oct 15 2014 umeabot <umeabot> 0.99.7-12.mga5.tainted
+ Revision: 746781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99.7-11.mga5.tainted
+ Revision: 690665
- Mageia 5 Mass Rebuild

* Fri Sep 12 2014 alexl <alexl> 0.99.7-10.mga5
+ Revision: 674824
- translated desktop file

* Sat Oct 19 2013 umeabot <umeabot> 0.99.7-9.mga4.tainted
+ Revision: 533254
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 0.99.7-8.mga4.tainted
+ Revision: 472367
- rebuild for new libmng

* Mon Jun 03 2013 fwang <fwang> 0.99.7-7.mga4
+ Revision: 436269
- rebuild for new libpng

* Sun Apr 07 2013 luigiwalser <luigiwalser> 0.99.7-6.mga3
+ Revision: 408806
- rebuild to really fix mga#9055

* Sat Mar 30 2013 rtp <rtp> 0.99.7-5.mga3
+ Revision: 406727
- build with nvtvsimple only on x86

* Sun Mar 17 2013 lmenut <lmenut> 0.99.7-4.mga3
+ Revision: 403619
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 21 2013 barjac <barjac> 0.99.7-3.mga3
+ Revision: 390639
- update group
- clean spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 12 2012 fwang <fwang> 0.99.7-1.mga3
+ Revision: 260039
- update file list
- add more brs
- new version 0.99.7

* Fri Sep 16 2011 fwang <fwang> 0.99.6-4.mga2
+ Revision: 144218
- clean up spec
- fix build with latest curl
- fix build with latest png

* Thu Mar 10 2011 mikala <mikala> 0.99.6-4.mga1
+ Revision: 67749
- Remove BuildRoot
- Remove mdk macros
- imported package xine-ui


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.99.6-3mdv2011.0
+ Revision: 608211
- rebuild

* Mon May 17 2010 Götz Waschk <waschk@mandriva.org> 0.99.6-2mdv2010.1
+ Revision: 544934
- make xine open URLs (bug #59312)

* Wed Mar 17 2010 Götz Waschk <waschk@mandriva.org> 0.99.6-1mdv2010.1
+ Revision: 523307
- new version
- drop patches
- update file list

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-9mdv2010.0
+ Revision: 378700
- fix installation

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-8mdv2009.1
+ Revision: 336409
- change menu category (bug #47259)

* Thu Jan 08 2009 Götz Waschk <waschk@mandriva.org> 0.99.5-7mdv2009.1
+ Revision: 327029
- fix doc dir

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-6mdv2009.1
+ Revision: 293582
- update the patch

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-5mdv2009.0
+ Revision: 280553
- patch from Gentoo to fix caca front-end build
- reenable cacaxine
- update license

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.99.5-4mdv2009.0
+ Revision: 266088
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-3mdv2009.0
+ Revision: 201800
- revert mime list generation

* Mon May 05 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-2mdv2009.0
+ Revision: 201279
- use the new way to generate the mime type list for the desktop file
- disable caca
- reenable aalib

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.5-1mdv2008.0
+ Revision: 22232
- new version
- drop patch
- update file list
- drop old menu
- disable aaxine and reenable cacaxine


* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.4-8mdv2007.0
+ Revision: 104257
- Import xine-ui

* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.4-8mdv2007.1
- disable cacaxine

* Sun Aug 13 2006 Anssi Hannula <anssi@mandriva.org> 0.99.4-7mdv2007.0
- patch0: more vdr events from cvs
- fix changelog

* Wed Aug 09 2006 Anssi Hannula <anssi@mandriva.org> 0.99.4-6mdv2007.0
- fix buildrequires for backportability

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.99.4-5mdv2007.0
- Fix xdg tag

* Fri Jun 16 2006 Götz Waschk <waschk@mandriva.org> 0.99.4-4mdv2007.0
- xdg menu
- fix buildrequires

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.99.4-3mdv2007.0
- build vdr keys support by default, bump required xine-lib version
- %%mkrel

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.4-2mdk
- rebuilt against openssl-0.9.8a

* Thu Jul 28 2005 Götz Waschk <waschk@mandriva.org> 0.99.4-1mdk
- drop patch
- New release 0.99.4

* Thu Jun 30 2005 Götz Waschk <waschk@mandriva.org> 0.99.3-3mdk
- patch for gcc 4
- add conditional vdr keys support (disabled by default) bug #15994

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99.3-2mdk
- rebuild for new readline

* Sun Dec 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.3-1mdk
- New release 0.99.3

* Tue Jul 06 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- source URL
- New release 0.99.2

* Fri Jul 02 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-5mdk
- rebuild for new curl

* Wed May 05 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-4mdk
- remove the additional skins (now in an extra package)

* Sat Apr 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-3mdk
- fix buildrequires

* Mon Apr 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-2mdk
- drop patch 1
- add more readme files

* Mon Apr 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- add caca frontend to the aa package
- drop patch 0
- add matroska to the menu mime types
- requires new xine-lib
- new version

* Mon Feb 02 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.23-3mdk
- fix buildrequires
- fix build with new curl

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.23-2mdk
- fix buildrequires (add missing ncurses-devel and fix lib64 builrequires)
- cosmetics

